## org.eclipse.datatools.modelbase.sql.schema.util
Class SQLSchemaAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaAdapterFactory

Direct Known Subclasses:
  SQLSchemaItemProviderAdapterFactory

public class SQLSchemaAdapterFactory
extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLSchemaPackage`, Serialized Form

Constructor Summary
`SQLSchemaAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createCatalogAdapter()` Creates a new adapter for an object of class '`Catalog`'.
`Adapter` `createCommentAdapter()` Creates a new adapter for an object of class '`Comment`'.
`Adapter` `createDatabaseAdapter()` Creates a new adapter for an object of class '`Database`'.
`Adapter` `createDependencyAdapter()` Creates a new adapter for an object of class '`Dependency`'.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createEventAdapter()` Creates a new adapter for an object of class '`Event`'.
`Adapter` `createIdentitySpecifierAdapter()` Creates a new adapter for an object of class '`Identity Specifier`'.
`Adapter` `createSchemaAdapter()` Creates a new adapter for an object of class '`Schema`'.
`Adapter` `createSequenceAdapter()` Creates a new adapter for an object of class '`Sequence`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSchemaAdapterFactory

    public SQLSchemaAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createIdentitySpecifierAdapter

    public Adapter createIdentitySpecifierAdapter()

  Creates a new adapter for an object of class '`Identity Specifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IdentitySpecifier`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createDependencyAdapter

    public Adapter createDependencyAdapter()

  Creates a new adapter for an object of class '`Dependency`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Dependency`

### createSchemaAdapter

    public Adapter createSchemaAdapter()

  Creates a new adapter for an object of class '`Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Schema`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSequenceAdapter

    public Adapter createSequenceAdapter()

  Creates a new adapter for an object of class '`Sequence`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Sequence`

### createDatabaseAdapter

    public Adapter createDatabaseAdapter()

  Creates a new adapter for an object of class '`Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Database`

### createEventAdapter

    public Adapter createEventAdapter()

  Creates a new adapter for an object of class '`Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Event`

### createCommentAdapter

    public Adapter createCommentAdapter()

  Creates a new adapter for an object of class '`Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Comment`

### createCatalogAdapter

    public Adapter createCatalogAdapter()

  Creates a new adapter for an object of class '`Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Catalog`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.